function Y = computeUpsampledCrossCorrelation(ref_image,drift_image)
%
% Y = computeUpsampledCrossCorrelation[ref_image,drift_image]
%
% compute the cross correlation image between reference image and drifted image
%
% By Yunqing Tang, 03/07/2014
[height, width] = size(ref_image);
fraction = sqrt(height * width);
REF = fft2(ref_image)/fraction;
DRIFT = fft2(drift_image)/fraction;

conj_DRIFT = conj(DRIFT);


Y = abs(ifftshift(ifft2(REF .* conj_DRIFT)));


