function smooth_image = gaussianSmooth(original_image) 
%
% smooth_image = gaussianSmooth(original_image)
%
% guassian smooth with 3x3 window and sigma is 0.5.
%
% By Yunqing Tang, 03/07/2014
smooth_mask = 3;
smooth_sigma = 0.5; %one pixel
smooth_window=fspecial('gaussian',smooth_mask,smooth_sigma);
smooth_image=filter2(smooth_window,original_image);
[height, width]=size(original_image);
for i=1:width
  smooth_image(1,i) = original_image(1,i);
  smooth_image(height,i) = original_image(height,i);
end

for j=1:height
  smooth_image(j,1) = original_image(j,1);
  smooth_image(j,width) = original_image(j,width);
end