function r = model_function(parameters, uncorrcted_image)
%
%r = model_function[parameters, uncorrcted_image]
%
%compute model function
%parameters = [alfa, dx, dy];
%
% By Yunqing Tang, 03/07/2014

alpha = parameters(1);
delta = [parameters(2) parameters(3)];

shift_image = FourierShift2D(uncorrcted_image, delta);
[height, width] = size(uncorrcted_image);
number_of_data = height * width;

shift_list = reshape(shift_image, number_of_data, 1);

r = alpha.*shift_list;

